## @file IwlTransDriver.dsc
#
#  @brief 
#  Build Description module for Iwl Transport Driver module.
#
#  @copyright
#  Copyright (c) 2017 Dell Inc. All rights reserved. This
#  software and associated documentation (if any) is furnished
#  under a license and may only be used or copied in accordance
#  with the terms of the license. Except as permitted by such
#  license, no part of this software or documentation may be
#  reproduced, stored in a retrieval system, or transmitted in
#  any form or by any means without the express written consent
#  of Dell Inc.
##


###################################################################################################
# Define Sections
###################################################################################################
[Defines]
  PLATFORM_NAME                  = IwlTransDriver
  PLATFORM_GUID                  = C9C3F143-25C0-4EA5-9457-83110C06AEE5
  PLATFORM_VERSION               = 0.1
  DSC_SPECIFICATION              = 0x00010016
  SUPPORTED_ARCHITECTURES        = X64
  OUTPUT_DIRECTORY               = Build/IwlTransDriver
  BUILD_TARGETS                  = DEBUG|RELEASE
  SKUID_IDENTIFIER               = DEFAULT

 DEFINE DEBUG_ENABLE_OUTPUT      = TRUE
###################################################################################################
# LibraryClasses Sections
###################################################################################################
!include DscInclude.txt

###################################################################################################
# LibraryClasses Sections
###################################################################################################
[LibraryClasses]

###################################################################################################
# PCD Sections
###################################################################################################
[PcdsFixedAtBuild.X64]
    gEfiMdePkgTokenSpaceGuid.PcdReportStatusCodePropertyMask|0x07
!if $(TARGET) == "DEBUG"
    gEfiMdePkgTokenSpaceGuid.PcdDebugPropertyMask|0x2f
    gEfiMdePkgTokenSpaceGuid.PcdDebugPrintErrorLevel|0x80000042
!endif

###################################################################################################
#
# Components Section - list of the modules and components that will be processed by compilation
#                      tools and the EDK II tools to generate PE32/PE32+/Coff image files.
#
###################################################################################################
[Components.X64]

	 DellClientPkgs.POC/IwlTransDriver/Drivers/8265/IwlTransDriver.inf

##############################################################################
#
#  Include Boilerplate text required for building with the Standard Libraries.
#
##############################################################################
#!include StdLib/StdLib.inc


[BuildOptions]
*_*_*_CC_FLAGS = -U_WIN32

